Bug 9479 - The member notices page does not display dates in the syspref format
Summary: The member notices page does not display dates in the syspref format
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-24 10:47 UTC by Jonathan Druart
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9479: The member notices page does not display dates in the syspref format (2.73 KB, patch)
2013-01-24 10:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9479: The member notices page doesn't display dates in the syspref format (2.97 KB, patch)
2013-01-25 14:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9479: FIX conflict with Bug 9014 (847 bytes, patch)
2013-03-22 08:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 9479: The member notices page doesn't display dates in the syspref format (3.04 KB, patch)
2013-03-26 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9479: FIX conflict with Bug 9014 (1.20 KB, patch)
2013-03-26 22:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-01-24 10:47:16 UTC
In the member notices page, the time column is not displayed according the syspref format
Comment 1 Jonathan Druart 2013-01-24 10:57:02 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-01-25 14:28:35 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-20 17:15:07 UTC
>This is a nice addition, and works according to the test plan. A nice
>follow-up would be to create a system pref for formatting times
>(12/24hr).

Actually Kyle did that in bug 9014 I think :)
Comment 4 Katrin Fischer 2013-03-20 17:25:00 UTC
I followed the test plan and applied the patch on top of 9014 as this is probably going to be pushed first. On acquisition history search (order search) the time is displayed in the column "placed on" where it should not be. 

Jonathan - could you check please?
Comment 5 Jonathan Druart 2013-03-22 08:53:40 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-03-26 22:02:48 UTC
Created attachment 16909 [details] [review]
[PASSED QA] Bug 9479: The member notices page doesn't display dates in the syspref format

In order to let the KohaDates plugin display a datetime, this patch
modify this plugin.
Now it uses Koha::DateUtils instead of C4::Dates.

Test plan:
- check that the date format on the member notices page
  (members/notices.pl) is displayed according your syspref dateformat.
- check that existing dates are always in the good format (without the
  hours) e.g. acqui/histsearch.pl, acqui/basket.pl, etc.
- Modify your syspref and recheck the previous pages

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

This is a nice addition, and works according to the test plan. A nice
follow-up would be to create a system pref for formatting times
(12/24hr).

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Fixed a tab in notices.tt to make QA script happy.
Comment 7 Katrin Fischer 2013-03-26 22:03:01 UTC
Created attachment 16910 [details] [review]
[PASSED QA] Bug 9479: FIX conflict with Bug 9014

3rd parameters of output_pref is already used

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests and QA script pass.

Checked sorting and display on notices page with various
settings for dateformat and TimeFormat system preferences.

Also checked other pages for correct display:
- List of checkouts in patron account
- Order search result list
- Basket list in vendor search
- Staff detail page
Comment 8 Katrin Fischer 2013-03-26 22:06:35 UTC
I had already started testing this during the hackfest so I wanted to finish my review.
Comment 9 Jared Camins-Esakov 2013-03-31 03:37:28 UTC
This patch has been pushed to master.
Comment 10 Chris Cormack 2013-04-24 21:53:14 UTC
Pushed to 3.10.x will be in 3.10.6